JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const checkoutConfigurationListResponse of client.checkoutConfigurations.list({
account_id: 'account_id',
})) {
console.log(checkoutConfigurationListResponse.id);
}curl --request GET \
--url https://api.whop.com/api/v1/checkout_configurations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.whop.com/api/v1/checkout_configurations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"account_id": "biz_xxxxxxxxxxxxxx",
"created_at": "2026-01-01T12:00:00.000Z",
"id": "ch_xxxxxxxxxxxxxx",
"mode": "payment",
"updated_at": "2026-01-01T12:00:00.000Z",
"affiliate_code": "tanyacole",
"currency": "usd",
"effective_payment_method_configuration": {
"disabled": [
"crypto"
],
"enabled": [
"card"
],
"include_platform_defaults": true
},
"metadata": {
"booking_source": "front_desk"
},
"payment_method_configuration": {
"disabled": [
"crypto"
],
"enabled": [
"card"
],
"include_platform_defaults": true
},
"plan": {
"adaptive_pricing_enabled": true,
"billing_period": 30,
"currency": "usd",
"expiration_days": 365,
"id": "plan_xxxxxxxxxxxxxx",
"initial_price": 0,
"plan_type": "renewal",
"release_method": "buy_now",
"renewal_price": 59,
"three_ds_level": "frictionless",
"trial_period_days": 7,
"visibility": "visible"
},
"purchase_url": "https://whop.com/checkout/ch_xxxxxxxxxxxxxx",
"redirect_url": "https://shinetime.example/thanks",
"three_ds_level": "frictionless"
}
],
"page_info": {
"end_cursor": "WyJjdXJzb3IiLDFd",
"has_next_page": false,
"has_previous_page": false,
"start_cursor": "WyJjdXJzb3IiLDFd"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}Checkout Configurations
List checkout configurations
Lists checkout configurations for an account.
GET
/
checkout_configurations
JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const checkoutConfigurationListResponse of client.checkoutConfigurations.list({
account_id: 'account_id',
})) {
console.log(checkoutConfigurationListResponse.id);
}Authorizations
An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.
Headers
Pins the request to a dated API version.
Example:
"2026-08-13"
Query Parameters
Account ID, prefixed biz_.
Only return checkout configurations for this plan ID, prefixed plan_.
Only return checkout configurations created before this ISO 8601 timestamp.
Only return checkout configurations created after this ISO 8601 timestamp.
Field used to sort checkout configurations.
Available options:
created_at Sort direction. Defaults to desc.
Available options:
asc, desc Number of checkout configurations to return.
Cursor for the next page of results.
⌘I

